Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158709 - cpan2rpm fails if source tar doesn't have slashes after directory names
Summary: cpan2rpm fails if source tar doesn't have slashes after directory names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpan2rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gavin Henry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 02:07 UTC by Jonathan Kamens
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.028-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-18 13:47:56 UTC


Attachments (Terms of Use)
patch to fix the bug (deleted)
2005-05-25 02:07 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2005-05-25 02:07:57 UTC
I found a source tar in CPAN (Char-2.3.tar.gz) which doesn't have slashes at 
the end of directory names when you do "tar tzf" on it.  This causes cpan2rpm 
to fail because it expects the slash.  The attached patch fixes this.

Comment 1 Jonathan Kamens 2005-05-25 02:07:58 UTC
Created attachment 114809 [details]
patch to fix the bug

Comment 2 Gavin Henry 2005-05-25 07:31:15 UTC
Thanks for this.

I'll check out your patch later this week.

That's the best I can do at the moment ;-)

Thanks,

Gavin.

Comment 3 Christian Iseli 2007-01-19 07:22:21 UTC
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.